#ifndef	TOKENS
#define	TOKENS

#include "text.h"
#include "symtab.h"

#define	END_OF_FILE	 0
#define	IDENTIFIER	 1
#define TYPE_IDENTIFIER	 2
#define	CHARACTER	 3
#define	STRING		 4
#define	NUMBER		 5
#define	TEXT		 6
#define	ACTION		 7
#define	COMMA		 8
#define	COLON		 9
#define	SEMICOLON	10
#define	BAR		11
#define	MARK		12
#define	LEFT		13
#define	RIGHT		14
#define	NONASSOC	15
#define	TOKEN		16
#define	PREC		17
#define	TYPE		18
#define	START		19
#define	UNION_TEXT	20

typedef
  struct yystype
    {
      int i;
      struct bucket *bp;
      struct text *tp;
    }
  yystype;

#define	YYSTYPE yystype

#endif
